# windows-disk-monitoring

Monitors the disk of an HP server and copies the report to the web-frontend.

### Preparations:

  - Please install "```Smart Storage Administrator```": (ssacli.exe)
  - Customize the following variables in the file "```disk_monitoring.ps1```" 
```
$smtpServer = "smtp.gmail.com"
$smtpFrom = "MY_SERVER_MAIL@gmail.com"
$SMTPPort = "587"
$Username = "MY_SERVER_MAIL@gmail.com"
$Password = "MY_SERVER_MAIL_PASSWORD"
$smtpTo = "MY_DESTINATION_MAIL"
```
  - Customize the SMB variables in the file "```start_disk_monitoring.bat```" or comment it out!
```net use x: \\MY_SMB_SERVER_IP\web /USER:MY_SMB_USER MY_SMB_PASSWORD```

### Automated checks:
  - Installation of the windows scheduler task to automate the checks. The template is located in the file "```windows_task_scheduler_template.xml```"
